<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unioncy__wcm__event__data__t" kind="union" language="C++" prot="public">
    <compoundname>cy_wcm_event_data_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unioncy__wcm__event__data__t_1a9c8f9a98e351394d704d1796328ae466" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__wcm__ip__address__t">cy_wcm_ip_address_t</ref></type>
        <definition>cy_wcm_ip_address_t cy_wcm_event_data_t::ip_addr</definition>
        <argsstring />
        <name>ip_addr</name>
        <briefdescription>
<para>Contains the IP address for the CY_WCM_EVENT_IP_CHANGED event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="429" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="429" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to receive the IP address information through the callback registered using <ref kindref="member" refid="group__group__wcm__functions_1ga02f205b4d522c99d6c0b48f15683b0b6">cy_wcm_register_event_callback</ref>. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="12">
        <label>cy_wcm_event_data_t</label>
        <link refid="unioncy__wcm__event__data__t" />
        <childnode refid="13" relation="usage">
          <edgelabel>ip_addr</edgelabel>
        </childnode>
      </node>
      <node id="13">
        <label>cy_wcm_ip_address_t</label>
        <link refid="structcy__wcm__ip__address__t" />
      </node>
    </collaborationgraph>
    <location bodyend="430" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="427" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="428" />
    <listofallmembers>
      <member prot="public" refid="unioncy__wcm__event__data__t_1a9c8f9a98e351394d704d1796328ae466" virt="non-virtual"><scope>cy_wcm_event_data_t</scope><name>ip_addr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>